DOM::HTMLTableColElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLTableColElement Class Reference

Regroups the `COL` and `COLGROUP` elements. More...

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableColElement:

[legend]
Collaboration diagram for DOM::HTMLTableColElement:

[legend]
List of all members.

## Public Member Functions
| HTMLTableColElement (const HTMLTableColElement &other)
| HTMLTableColElement (const Node &other)
HTMLTableColElement & | operator= (const HTMLTableColElement &other)
HTMLTableColElement & | operator= (const Node &other)
DOMString | align () const
| Horizontal alignment of cell data in column.
void | setAlign (const DOMString &)
| see align
DOMString | ch () const
| Alignment character for cells in a column.
void | setCh (const DOMString &)
| see ch
DOMString | chOff () const
| Offset of alignment character.
void | setChOff (const DOMString &)
| see chOff
long | span () const
| Indicates the number of columns in a group or affected by a grouping.
void | setSpan (long)
| see span
DOMString | vAlign () const
| Vertical alignment of cell data in column.
void | setVAlign (const DOMString &)
| see vAlign
DOMString | width () const
| Default column width.
void | setWidth (const DOMString &)
| see width
## Protected Member Functions
| HTMLTableColElement (HTMLTableColElementImpl *impl)
## Friends
class | HTMLTableElement

## Detailed Description

Regroups the `COL` and `COLGROUP` elements.

See the COL element definition in HTML 4.0.

Definition at line 322 of file html_table.h.

## Member Function Documentation

DOMString HTMLTableColElement::align | ( |  | ) | const

| Horizontal alignment of cell data in column. See the align attribute definition in HTML 4.0. Definition at line 320 of file html_table.cpp.

void HTMLTableColElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 326 of file html_table.cpp.

DOMString HTMLTableColElement::ch | ( |  | ) | const

| Alignment character for cells in a column. See the char attribute definition in HTML 4.0. Definition at line 331 of file html_table.cpp.

void HTMLTableColElement::setCh | ( | const DOMString & |  | ) |

| see ch Definition at line 337 of file html_table.cpp.

DOMString HTMLTableColElement::chOff | ( |  | ) | const

| Offset of alignment character. See the charoff attribute definition in HTML 4.0. Definition at line 342 of file html_table.cpp.

void HTMLTableColElement::setChOff | ( | const DOMString & |  | ) |

| see chOff Definition at line 348 of file html_table.cpp.

long HTMLTableColElement::span | ( |  | ) | const

| Indicates the number of columns in a group or affected by a grouping. See the span attribute definition in HTML 4.0. Definition at line 353 of file html_table.cpp.

void HTMLTableColElement::setSpan | ( | long |  | ) |

| see span Definition at line 359 of file html_table.cpp. References QString::number().

DOMString HTMLTableColElement::vAlign | ( |  | ) | const

| Vertical alignment of cell data in column. See the valign attribute definition in HTML 4.0. Definition at line 367 of file html_table.cpp.

void HTMLTableColElement::setVAlign | ( | const DOMString & |  | ) |

| see vAlign Definition at line 373 of file html_table.cpp.

DOMString HTMLTableColElement::width | ( |  | ) | const

| Default column width. See the width attribute definition in HTML 4.0. Definition at line 378 of file html_table.cpp.

void HTMLTableColElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 384 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:41 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001